import OpenGL.GL as gl
from PyQt6.QtWidgets import QApplication
from PyQt6.QtOpenGLWidgets import QOpenGLWidget

class View(QOpenGLWidget):
    def initializeGL(self):
        v = gl.glGetFloatv(gl.GL_ALIASED_LINE_WIDTH_RANGE)
        print("Line width range:", v)
        QApplication.instance().quit()

app = QApplication([])
v = View()
v.show()
app.exec()
